src/zlevis-fetch: added summary and improved zlevis-decrypt check

This commit is contained in:
Luc Bijl 2024-12-22 13:24:47 +01:00
parent f573008075
commit f2405d842b

View file

@ -3,8 +3,20 @@
# Exit immediately if a command exits with a non-zero status # Exit immediately if a command exits with a non-zero status
set -e set -e
# Summary of the script's functionality
summary="Decrypts a ZFS root pool with a TPM2.0 chip."
# Display summary if requested
if [ "$1" = "--summary" ]; then
echo "$summary"
exit 0
fi
# Check if zlevis-decrypt is present # Check if zlevis-decrypt is present
command -v zlevis-decrypt > /dev/null || exit 1 if ! command -v zlevis-decrypt > /dev/null; then
echo "Script zlevis-decrypt is not present"
exit 1
fi
# Read ZFS dataset information. # Read ZFS dataset information.
zfs list -Ho name,encryption,keystatus,encryptionroot,tpm:jwe | while IFS=$'\t' read -r ds enc keystatus encroot jwe; do zfs list -Ho name,encryption,keystatus,encryptionroot,tpm:jwe | while IFS=$'\t' read -r ds enc keystatus encroot jwe; do